# consumer

An consumer is used by the Identity service’s OS-OAUTH1 extension. It is used to create a request token and access token. Applicable to Identity v3.

## consumer create

Create new consumer

    openstack consumer create [--description <description>]

--description <description>

  New consumer description

## consumer delete

Delete consumer(s)

    openstack consumer delete <consumer> [<consumer> ...]

consumer

  Consumer(s) to delete

## consumer list

List consumers

    openstack consumer list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

## consumer set

Set consumer properties

    openstack consumer set [--description <description>] <consumer>

--description <description>

  New consumer description

consumer

  Consumer to modify

## consumer show

Display consumer details

    openstack consumer show <consumer>

consumer

  Consumer to display

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.